Subject: bug#63234: closed (Re: bug#63234: cached guix shell environment not capturing environment variables set in manifest)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 03 May 2023 02:13:02 +0000

Your bug report

#63234: cached guix shell environment not capturing environment variables set in manifest

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63234: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63234
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#63234: cached guix shell environment not capturing environment variables set in manifest
From: Maxim Cournoyer <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Tue, 02 May 2023 22:11:55 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Maxim Cournoyer <[email-masked]> skribis:
>
>> Consider the following manifest.scm file:
>>
>> (setenv "DUMMY" "hello")
>>
>> (packages->manifest
>>  (map specification->package
>>       (list "hello")))
>>
>>
>> Running:
>>
>> $ guix shell --rebuild-cache -m manifest.scm -- sh -c 'echo $DUMMY'
>> hello
>>
>> $ guix shell -m manifest.scm -- sh -c 'echo $DUMMY'
>>
>> I think this is a recent behavior change, otherwise I wouldn't have
>> gotten fond of that trick ;-).
>
> Hmm, I don’t think it’s a recent change.  It’s a trick that might work
> “by chance” but cannot be relied on.
>
> Not-a-bug to me!

Ah!  Okay then :-).  I'll stop using such trick.

-- 
Thanks,
Maxim

Subject: cached guix shell environment not capturing environment variables set in manifest
From: Maxim Cournoyer <[email-masked]>
To: bug-guix <[email-masked]>
Date: Tue, 02 May 2023 11:34:59 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

Consider the following manifest.scm file:

--8<---------------cut here---------------start------------->8---
(setenv "DUMMY" "hello")

(packages->manifest
 (map specification->package
      (list "hello")))
--8<---------------cut here---------------end--------------->8---

Running:

--8<---------------cut here---------------start------------->8---
$ guix shell --rebuild-cache -m manifest.scm -- sh -c 'echo $DUMMY'
hello

$ guix shell -m manifest.scm -- sh -c 'echo $DUMMY'
--8<---------------cut here---------------end--------------->8---

I think this is a recent behavior change, otherwise I wouldn't have
gotten fond of that trick ;-).

-- 
Thanks,
Maxim